User folder tree
GET
/system/exmdb/{username}/folders
const url = 'https://example.com/api/v1/system/exmdb/example/folders';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/exmdb/example/foldersParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”username
required
string
User email
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Responses
Section titled “Responses”User folder tree returned
Media typeapplication/json
object
ID
integer
parentID
integer
name
string
subfolders
List of child folders (in the same format as the parent)
Array<object>
object
Examplegenerated
{ "ID": 1, "parentID": 1, "name": "example", "subfolders": [ {} ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}